searchData={"items":[{"type":"module","title":"LiveViewNative.LiveForm","doc":"","ref":"LiveViewNative.LiveForm.html"},{"type":"module","title":"LiveViewNative.LiveForm.Component","doc":"","ref":"LiveViewNative.LiveForm.Component.html"},{"type":"function","title":"LiveViewNative.LiveForm.Component.form/1","doc":"","ref":"LiveViewNative.LiveForm.Component.html#form/1"},{"type":"function","title":"Attributes - LiveViewNative.LiveForm.Component.form/1","doc":"* `for` (`:any`) (required) - An existing form or the form source data.\n* `action` (`:string`) - The action to submit the form on.\n  This attribute must be given if you intend to submit the form to a URL without LiveView.\n\n* `as` (`:atom`) - The prefix to be used in names and IDs generated by the form.\n  For example, setting `as: :user_params` means the parameters\n  will be nested \"user_params\" in your `handle_event` or\n  `conn.params[\"user_params\"]` for regular HTTP requests.\n  If you set this option, you must capture the form with `:let`.\n\n* `csrf_token` (`:any`) - A token to authenticate the validity of requests.\n  One is automatically generated when an action is given and the method is not `get`.\n  When set to `false`, no token is generated.\n\n* `errors` (`:list`) - Use this to manually pass a keyword list of errors to the form.\n  This option is useful when a regular map is given as the form\n  source and it will make the errors available under `f.errors`.\n  If you set this option, you must capture the form with `:let`.\n\n* `method` (`:string`) - The HTTP method.\n  It is only used if an `:action` is given. If the method is not `get` nor `post`,\n  an input tag with name `_method` is generated alongside the form tag.\n  If an `:action` is given with no method, the method will default to `post`.\n\n* `multipart` (`:boolean`) - Sets `enctype` to `multipart/form-data`.\n  Required when uploading files.\n\n  Defaults to `false`.\n* Global attributes are accepted. Additional HTML attributes to add to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"enctype\", \"novalidate\", \"target\"]`.","ref":"LiveViewNative.LiveForm.Component.html#form/1-attributes"},{"type":"function","title":"Slots - LiveViewNative.LiveForm.Component.form/1","doc":"* `inner_block` (required) - The content rendered inside of the form tag.","ref":"LiveViewNative.LiveForm.Component.html#form/1-slots"},{"type":"extras","title":"LiveViewNativeLiveForm","doc":"# LiveViewNativeLiveForm\n\nSupporting library for [LiveViewNative SwiftUI](https://github.com/liveview-native/liveview-client-swiftui) that provides forms that group multiple pieces of data together and allow them to be submitted in a single event.\n\nTo use this, add the package to your project and then include the registry in your app's aggregate registry:\n```swift\nstruct AppRegistries: AggregateRegistry {\n    typealias Registries = Registry2 \n    >\n}\n```\nAnd then use that registry when creating the `LiveSessionCoordinator`:\n```swift\nstruct ContentView: View {\n    @State private var session = LiveSessionCoordinator (url: URL(string: \"...\")!)\n    // ...\n}\n```","ref":"readme.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}